<?php

namespace WPIS;

trait EstatePostMetas {

    static public $postTypeMetas = [
        [
            'id' => 'options',
            'label' => 'Immo Sync Options',
            'icon' => 'fa-cogs',
            'callback' => 'wpisMetaboxBodyOptions',
            'fields' =>  [
                [
                    'field' => 'locked',
                    'label' => 'Verrou à la synchronisation',
                    'type'  => 'boolean'
                ],
            ],
        ],
        [
            'id' => 'general',
            'label' => 'General',
            'icon' => 'fa-home',
            'callback' => 'wpisMetaboxBodyGeneral',
            'fields' =>  [
                [
                    'field' => 'id',
                    'label' => 'ID du bien',
                    'type'  => 'readonly'
                ],
                [
                    'field' => 'name',
                    'label' => 'Titre du bien',
                    'type'  => 'text'
                ],
                [
                    'field' => 'reference',
                    'label' => 'Référence',
                    'type'  => 'text'
                ],
                [
                    'field' => 'category.label',
                    'label' => 'Catégorie',
                    'type'  => 'text'
                ],
                [
                    'field' => 'subcategory.label',
                    'label' => 'Sous-catégorie',
                    'type'  => 'text'
                ],
                [
                    'field' => 'purpose.label',
                    'label' => 'Transaction',
                    'type'  => 'text'
                ],
                [
                    'field' => 'status.label',
                    'label' => 'Status de la transaction',
                    'type'  => 'text'
                ],
                [
                    'field' => 'links.virtualVisit',
                    'label' => 'Lien visite virtuelle',
                    'type'  => 'text'
                ],
                [
                    'field' => 'links.video',
                    'label' => 'Lien vidéo',
                    'type'  => 'text'
                ],
                [
                    'field' => 'links.3dModel',
                    'label' => 'Lien model 3D',
                    'type'  => 'text'
                ],
                [
                    'field' => 'links.appointment',
                    'label' => 'Lien rendez-vous',
                    'type'  => 'text'
                ],
                [
                    'field' => 'properties.hasChildren',
                    'label' => 'Projet parent',
                    'type'  => 'boolean'
                ],
                [
                    'field' => 'properties.hasParent',
                    'label' => 'Projet enfant',
                    'type'  => 'boolean'
                ],
                [
                    'field' => 'properties.parentId',
                    'label' => 'Projet parent ID',
                    'type'  => 'text'
                ],
                [
                    'field' => 'properties.isFavorite',
                    'label' => 'Mise en avant',
                    'type'  => 'boolean'
                ],
                [
                    'field' => 'properties.isFurnished',
                    'label' => 'Bien meublé',
                    'type'  => 'boolean'
                ]
            ]
        ],
        [
            'id' => 'finance',
            'label' => 'Finance',
            'icon' => 'fa-euro-sign',
            'callback' => 'wpisMetaboxBodyFinance',
            'fields' =>  [
                [
                    'field' => 'finance.price',
                    'label' => 'Prix',
                    'type'  => 'number'
                ],
                [
                    'field' => 'finance.priceChangedAt',
                    'label' => 'Prix changé le',
                    'type'  => 'date'
                ],
                [
                    'field' => 'finance.currency',
                    'label' => 'Devise',
                    'type'  => 'text'
                ],
                [
                    'field' => 'finance.annuityMonthly',
                    'label' => 'Rente mensuelle',
                    'type'  => 'number'
                ],
                [
                    'field' => 'finance.cadastre',
                    'label' => 'Cadastre',
                    'type'  => 'number'
                ],
                [
                    'field' => 'building.constructionYear',
                    'label' => 'Date de construction',
                    'type'  => 'number'
                ],
                [
                    'field' => 'building.renovationYear',
                    'label' => 'Date de rénovation',
                    'type'  => 'number'
                ],
                [
                    'field' => 'building.orientation',
                    'label' => 'Orientatioin du batiment',
                    'type'  => 'number'
                ],
                [
                    'field' => 'building.state',
                    'label' => 'Etat du batiment',
                    'type'  => 'number'
                ],
            ]
        ],
        [
            'id' => 'surfaces',
            'label' => 'Surfaces',
            'icon' => 'fa-expand',
            'callback' => 'wpisMetaboxBodySurface',
            'fields' =>  [
                [
                    'field' => 'areas.total',
                    'label' => 'Superficie totale',
                    'type'  => 'number'

                ],
                [
                    'field' => 'areas.ground',
                    'label' => 'Superficie terrain',
                    'type'  => 'number'
                ],
                [
                    'field' => 'areas.garden',
                    'label' => 'Superficie jardin',
                    'type'  => 'number'
                ],
                [
                    'field' => 'areas.living',
                    'label' => 'Superficie Salle de séjour',
                    'type'  => 'number'
                ],
                [
                    'field' => 'areas.diningroom',
                    'label' => 'Superficie Salle à manger',
                    'type'  => 'number'
                ],
                [
                    'field' => 'areas.kitchen',
                    'label' => 'Superficie cuisine',
                    'type'  => 'number'
                ],
                [
                    'field' => 'areas.bathroom',
                    'label' => 'Superficie salle de bain',
                    'type'  => 'number'
                ],
                [
                    'field' => 'areas.cellar',
                    'label' => 'Superficie cave',
                    'type'  => 'number'
                ],
                [
                    'field' => 'areas.washroom',
                    'label' => 'Superficie buandrie',
                    'type'  => 'number'
                ],
                [
                    'field' => 'areas.dressing',
                    'label' => 'Superficie dressing',
                    'type'  => 'number'
                ],
                [
                    'field' => 'areas.bedroom1',
                    'label' => 'Superficie Chambre 1',
                    'type'  => 'number'
                ],
                [
                    'field' => 'areas.bedroom2',
                    'label' => 'Superficie Chambre 2',
                    'type'  => 'number'
                ],
                [
                    'field' => 'areas.bedroom3',
                    'label' => 'Superficie Chambre 3',
                    'type'  => 'number'
                ],
                [
                    'field' => 'areas.bedroom4',
                    'label' => 'Superficie Chambre 4',
                    'type'  => 'number'
                ],
                [
                    'field' => 'areas.bedroom5',
                    'label' => 'Superficie Chambre 5',
                    'type'  => 'number'
                ],
                [
                    'field' => 'areas.showroom',
                    'label' => 'Superficie Showroom',
                    'type'  => 'number'
                ],
                [
                    'field' => 'areas.storage',
                    'label' => 'Superficie Stockage',
                    'type'  => 'number'
                ],
                [
                    'field' => 'areas.terrace',
                    'label' => 'Superficie Terrace',
                    'type'  => 'number'
                ],
                [
                    'field' => 'areas.manufacturing',
                    'label' => 'Superficie Manufacturing',
                    'type'  => 'number'
                ],
                [
                    'field' => 'areas.displayWindow',
                    'label' => 'Superficie Vitrine',
                    'type'  => 'number'
                ]
            ]
        ],
        [
            'id' => 'energy',
            'label' => 'Rapports énergétique',
            'icon' => 'fa-leaf',
            'callback' => 'wpisMetaboxBodyEnergy',
            'fields' =>  [
                [
                    'field' => 'energy.epcCode',
                    'label' => 'Code unique PEB',
                    'type'  => 'text'
                ],
                [
                    'field' => 'energy.epcLabel',
                    'label' => 'Classe énergétique PEB',
                    'type'  => 'text'
                ],
                [
                    'field' => 'energy.epcValue',
                    'label' => 'Valeur énergétique E-SPEC kWh/m²/an',
                    'type'  => 'number'
                ],
                [
                    'field' => 'energy.epcTotal',
                    'label' => 'Valeur énergétique total E-Total Kwh/an',
                    'type'  => 'number'
                ],
                [
                    'field' => 'energy.gazEmit',
                    'label' => 'Valeur d\'émission de gaz Kg CO2/an',
                    'type'  => 'number'
                ],
                [
                    'field' => 'energy.heatingType',
                    'label' => 'Type de chauffage',
                    'type'  => 'text'
                ],
                [
                    'field' => 'energy.solarElectricity',
                    'label' => 'Energie solaire',
                    'type'  => 'boolean'
                ],
                [
                    'field' => 'energy.electricityConformity',
                    'label' => 'Conformité éléctricité',
                    'type'  => 'boolean'
                ]
            ]
        ],
        [
            'id' => 'address',
            'label' => 'Adresse',
            'icon' => 'fa-location-arrow',
            'callback' => 'wpisMetaboxBodyAddress',
            'fields' =>  [
                [
                    'field' => 'address.street',
                    'label' => 'Rue',
                    'type'  => 'text'
                ],
                [
                    'field' => 'address.number',
                    'label' => 'Numéro',
                    'type'  => 'text'
                ],
                [
                    'field' => 'address.box',
                    'label' => 'Boite',
                    'type'  => 'text'
                ],
                [
                    'field' => 'address.zip',
                    'label' => 'Code postal',
                    'type'  => 'text'
                ],
                [
                    'field' => 'address.city',
                    'label' => 'Ville',
                    'type'  => 'text'
                ],
                [
                    'field' => 'address.country',
                    'label' => 'Pays',
                    'type'  => 'text'
                ],
                [
                    'field' => 'address.longitude',
                    'label' => 'Longitude',
                    'type'  => 'text'
                ],
                [
                    'field' => 'address.latitude',
                    'label' => 'Latitude',
                    'type'  => 'text'
                ]
            ]
        ],
        [
            'id' => 'proximity',
            'label' => 'Proximité',
            'icon' => 'fa-route',
            'callback' => 'wpisMetaboxBodyProximity',
            'fields' =>  [
                [
                    'field' => 'proximity.highway',
                    'label' => 'Autoroute',
                    'type'  => 'number'
                ],
                [
                    'field' => 'proximity.transports',
                    'label' => 'Transports en commun',
                    'type'  => 'number'
                ],
                [
                    'field' => 'proximity.station',
                    'label' => 'Gare',
                    'type'  => 'number'
                ],
                [
                    'field' => 'proximity.bus',
                    'label' => 'Bus',
                    'type'  => 'number'
                ],
                [
                    'field' => 'proximity.metro',
                    'label' => 'Métro',
                    'type'  => 'number'
                ],
                [
                    'field' => 'proximity.tram',
                    'label' => 'Tram',
                    'type'  => 'number'
                ],
                [
                    'field' => 'proximity.school',
                    'label' => 'Ecole',
                    'type'  => 'number'
                ],
                [
                    'field' => 'proximity.stores',
                    'label' => 'Magasins',
                    'type'  => 'number'
                ],
                [
                    'field' => 'proximity.sportCenter',
                    'label' => 'Centre sportif',
                    'type'  => 'number'
                ],
                [
                    'field' => 'proximity.beach',
                    'label' => 'Plage',
                    'type'  => 'number'
                ]
            ]
        ],
        [
            'id' => 'commodities',
            'label' => 'Commodités',
            'icon' => 'fa-star',
            'callback' => 'wpisMetaboxBodyCommodities',
            'fields' =>  [
                [
                    'field' => 'configuration.floorCurrent',
                    'label' => 'Etage du bien',
                    'type'  => 'number'
                ],
                [
                    'field' => 'configuration.floorTotal',
                    'label' => 'Nombre d\'étage(s)',
                    'type'  => 'number'
                ],
                [
                    'field' => 'configuration.bedrooms',
                    'label' => 'Nombre de chambre(s)',
                    'type'  => 'number'
                ],
                [
                    'field' => 'configuration.kitchens',
                    'label' => 'Type de cuisine',
                    'type'  => 'string'
                ],
                [
                    'field' => 'configuration.toilets',
                    'label' => 'Nombre de toilette(s)',
                    'type'  => 'number'
                ],
                [
                    'field' => 'configuration.bathrooms',
                    'label' => 'Nombre de salle d\'eau(s)',
                    'type'  => 'number'
                ],
                [
                    'field' => 'configuration.garages',
                    'label' => 'Nombre de garage(s)',
                    'type'  => 'number'
                ],
                [
                    'field' => 'configuration.terraces',
                    'label' => 'Nombre de terrasse(s)',
                    'type'  => 'boolean'
                ],
                [
                    'field' => 'configuration.cave',
                    'label' => 'Cave',
                    'type'  => 'boolean'
                ],
                [
                    'field' => 'configuration.parking',
                    'label' => 'Parking',
                    'type'  => 'boolean'
                ],
                [
                    'field' => 'configuration.garden',
                    'label' => 'Jardin',
                    'type'  => 'boolean'
                ]
            ]
        ],
        [
            'id' => 'files',
            'label' => 'Fichiers liés',
            'icon' => 'fa-file-pdf',
            'callback' => 'wpisMetaboxBodyFiles',
            'fields' =>  [
                [
                    'field' => 'files',
                    'label' => 'Documents',
                    'type'  => 'file-collection'
                ]
            ]
        ],
        [
            'id' => 'hidden',
            'label' => null,
            'icon' => null,
            'callback' => null,
            'fields' =>  [
                ['field' => 'id'],
                ['field' => 'description.base'],
                ['field' => 'description.short'],
                ['field' => 'description.long'],
                ['field' => 'ameneties.generic'],
                ['field' => 'ameneties.custom'],
                ['field' => 'agency.id'],
                ['field' => 'agency.name'],
                ['field' => 'agency.addressFormatted'],
                ['field' => 'agent.firstname'],
                ['field' => 'agent.lastname'],
                ['field' => 'agent.email'],
                ['field' => 'agent.phone'],
                ['field' => 'agent.role'],
                ['field' => 'agent.picture']
            ]
        ]
    ];

}
